Skip to main content

Get open orders

GET 

/institutional/subaccounts/orders/open

Returns all current open orders for the specified subaccount. If not specified, returns open orders for the main account.

info

This is a private endpoint. To send requests, you need to authenticate.

warning

To use this private endpoint, you must use the API key of your main account with the Include all subaccounts.

Rate limit weight points: 25 (without market) or 1 (with market).

Request

Query Parameters

    subaccountId uuid

    The unique identifier for the subaccount. If not specified, returns open orders for the main account.

    market string

    The market in which to return the open orders. If not specified, all open orders are returned.

    base string

    The base asset for which to return the open orders. If neither market nor base are specified, all open orders are returned.

Responses

The request was successful.

Response Headers
    bitvavo-ratelimit-remaining

    The number of remaining weight points before it resets at bitvavo-ratelimit-resetat.

    bitvavo-ratelimit-resetat

    The time when bitvavo-ratelimit-remaining resets to bitvavo-ratelimit-limit.

    bitvavo-ratelimit-limit

    The number of available weight points in one minute.

Schema
  • Array [
  • subaccountIdstring<uuid>

    The unique identifier for the subaccount.

    orderIdstring<uuid>

    Bitvavo identifier of the order. An orderId is unique per market. Different markets can use the same orderId values.

    clientOrderIdstring<uuid>

    Your identifier of the order. Only returned if specified in the request.

    marketstring

    The market where you created an order.

    createdinteger

    The Unix timestamp when the order was created.

    updatedinteger

    The Unix timestamp when the order was last updated.

    statusstring

    The status of an order.

    Possible values: [new, awaitingTrigger, canceled, expired, filled, partiallyFilled]

    sidestring

    Indicates whether the order is to buy or sell the asset.

    Possible values: [buy, sell]

    orderTypestring

    The type of order you created.

    Possible values: [limit, market]

    amountstring

    The quantity of the base currency to buy or sell. If you set amountQuote in your order, amount is not returned.

    amountRemainingstring

    The quantity of the base currency remaining after the sum of fills is subtracted from the amount. If you set amountQuote in your order, amountRemaining is not returned.

    pricestring

    The price you set for a limit, stopLossLimit, takeProfit, or a takeProfitLimit order. For other types of orders, the price is not returned.

    amountQuotestring

    The quantity of the quote currency to buy or sell for the market, stopLoss, or takeProfit types of order. If you set amount in your order, amountQuote is not returned.

    amountQuoteRemainingstring

    The quantity of the quote currency remaining after the sum of all fills is subtracted from amountQuote. If you set amount in the order, amountQuoteRemaining is not returned.

    onHoldstring

    The amount of onHoldCurrency locked while an order is not yet settled after an order is filled. All funds are released when order is filled.

    onHoldCurrencystring

    The currency that is onHold while the order is processed. This depends on the side you set for the orderId.

    triggerPricestring

    The price calculated using triggerAmount and triggerType for the stopLoss, stopLossLimit, takeProfit, or takeProfitLimit types of orders.

    triggerAmountstring

    The trigger price in quote currency for which you want to buy or sell 1 unit of the base currency. This value and triggerType are used to calculate triggerPrice.

    triggerTypestring

    The type of trigger you set to fill the order when the condition is met.

    Possible values: [price]

    triggerReferencestring

    The price you set to trigger the order to be filled for the stopLoss, stopLossLimit, takeProfit, or takeProfitLimit types of orders.

    Possible values: [lastTrade, bestBid, bestAsk, midPrice]

    filledAmountstring

    The total amount bought or sold in base currency.

    filledAmountQuotestring

    The total amount bought or sold in quote currency.

    feePaidstring

    The amount you pay Bitvavo to process the order. This value is negative for rebates.

    feeCurrencystring

    The currency of the feePaid.

    fills object[]

    A JSON object containing all fills for orderId.

  • Array [
  • idstring

    The identifier of this fill.

    timestampinteger

    A Unix timestamp when Bitvavo processed the fill.

    amountstring

    The amount of base currency exchanged in the fill.

    pricestring

    The price of the fill in quote currency.

    takerboolean

    Returns true when you are the taker for the fill.

    feestring

    The amount you pay Bitvavo in feeCurrency to process the fill. This value is negative for rebates. If settled is false, this parameter is not included.

    feeCurrencystring

    The currency that the fee is paid in. If settled is false, this object is not returned.

    settledboolean

    Indicates whether the fill has been settled.

  • ]
  • selfTradePreventionstring

    The value you set to prevent self-trading for conflicting orders of any type.

    Possible values: [decrementAndCancel, cancelOldest, cancelNewest, cancelBoth]

    visibleboolean

    Returns true when the orderId is visible in the order book for a market.

    timeInForcestring

    The value you set for how long an order stays active.

    Possible values: [GTC, IOC, FOK]

    postOnlyboolean

    The value you set for how your fees are calculated for limit, stopLossLimit, or takeProfitLimit types of orders.

    disableMarketProtectionboolean

    Must be false because market protection can no longer be disabled.

    operatorIdinteger

    Your identifier for the trader or the bot within your account that made the request.

    createdNsinteger

    The Unix timestamp in nanoseconds when the order was created.

    updatedNsinteger

    The Unix timestamp in nanoseconds when the order was last updated.

    codGroupIdinteger

    Your identifier for a group of orders.

  • ]